--- old/usr/src/uts/common/crypto/io/dca.c	2014-10-23 11:04:52.164546875 -0400
+++ new/usr/src/uts/common/crypto/io/dca.c	2014-10-23 11:04:52.169687289 -0400
@@ -1679,16 +1679,8 @@
 	 * cannot be found. From initial testing, we did not see performance
 	 * degradation as seen on Sparc.
 	 */
-	if ((reqp->dr_ibuf_kaddr = kmem_alloc(size, KM_SLEEP)) == NULL) {
-		dca_error(dca, "unable to alloc request ibuf memory");
-		dca_destroyreq(reqp);
-		return (NULL);
-	}
-	if ((reqp->dr_obuf_kaddr = kmem_alloc(size, KM_SLEEP)) == NULL) {
-		dca_error(dca, "unable to alloc request obuf memory");
-		dca_destroyreq(reqp);
-		return (NULL);
-	}
+	reqp->dr_ibuf_kaddr = kmem_alloc(size, KM_SLEEP);
+	reqp->dr_obuf_kaddr = kmem_alloc(size, KM_SLEEP);
 #else
 	/*
 	 * We could kmem_alloc for Sparc too. However, it gives worse
